Last modified: 2014-09-01 16:08:51 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 34587 - Vector: Collapsible tabs first start from the wrong side in RTL
Vector: Collapsible tabs first start from the wrong side in RTL
Status: NEW
Product: MediaWiki skins
Classification: Unclassified
Vector (Other open bugs)
unspecified
All All
: Low major
: ---
Assigned To: Nobody - You can work on this!
http://translatewiki.net/wiki/Special...
: i18n
Depends on: 46947
Blocks: rtl 44881
  Show dependency treegraph
 
Reported: 2012-02-22 09:15 UTC by Niklas Laxström
Modified: 2014-09-01 16:08 UTC (History)
10 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Niklas Laxström 2012-02-22 09:15:03 UTC
Say if the tabs are [A][B]    [X][Y][Z].

In LTR, it first hides Z, then Y and then X. In RTL it first hides X, Y and then Z.

If you look at the tab order in RTL, which is [Z][Y][X]    [B][A], it doesn't make any sense.
Comment 1 Bartosz Dziewoński 2013-04-02 18:49:56 UTC
This is because for some reason Vector flips the order of the tabs in HTML, and the uses @noflip to make them float to the left even in RTL environments. This is stupid, and jquery.collapsibleTabs is getting rightfully confused.

However, fixing this properly would require simultaneous incompatible changes to HTML and CSS, which is known to cause disruption if not done right (bug 42452), and doing it right means keeping the old styles basically forever and adding some class to new HTML, which sucks.

Feel free to do that, because I'd rather not. ;)
Comment 2 Andre Klapper 2014-05-17 12:51:05 UTC
This is not a "Major loss of function in an important area" as it's still totally functionable; changing severity back to normal.
Comment 3 Nemo 2014-05-17 14:58:24 UTC
Hiding the most important features before the less important ones is definitely a major loss in functionality.
Comment 4 Yair Rand 2014-08-19 03:30:47 UTC
Is this fixed? On the Hebrew Wikipedia it looks like the outermost tab is the first to be hidden.
Comment 5 Bartosz Dziewoński 2014-08-19 10:43:56 UTC
No idea. I am sure that no one has worked on it and consciously fixed it since I last commented. (I watch all incoming patches in these areas.)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links